/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/* ***************************************************** */
/********************************************************************/
/**
 * @file DocTreeTool.h
 * @brief クラス MGDocTreeTool.h の宣言
 */
#pragma once

#include "Common/CommandBase.h"

/// @class MGDocTreeTool DocTreeTool.h "EditCmd/DocTreeTool.h"
/// [編集＞ドキュメントのツリー表示] コマンドクラス
class MGDocTreeTool : public MGCommandBase
{
public:
	/// コンストラクター
	/// @param[in] pDoc コマンド対象ドキュメント
	explicit MGDocTreeTool(fugenDoc* pDoc);
	virtual MGCommandBase* initial_clone(fugenDoc* pDoc)const;
	virtual bool initiate_tool();
	virtual bool terminate_tool(bool cancel);
	bool can_break_into()const{return true;};

private:
	//元のカレントグループ
	MGGroup* m_current_group;
};
